Loading...
Searching...
No Matches
juce::universal_midi_packets::Utils Struct Reference

`#include <juce_UMPUtils.h>`

## Classes

struct | U4
struct | U8
struct | U16

## Static Public Member Functions

static constexpr uint32_t | bytesToWord (std::byte a, std::byte b, std::byte c, std::byte d)
static uint32_t | getNumWordsForMessageType (uint32_t)
static constexpr uint8_t | getMessageType (uint32_t w) noexcept
static constexpr uint8_t | getGroup (uint32_t w) noexcept
static constexpr uint8_t | getStatus (uint32_t w) noexcept
static constexpr uint8_t | getChannel (uint32_t w) noexcept

## Detailed Description

Helpful types and functions for interacting with Universal MIDI Packets.

Definition at line 33 of file juce_UMPUtils.h.

## Member Function Documentation

## bytesToWord()

constexpr uint32_t juce::universal_midi_packets::Utils::bytesToWord | ( | std::byte | a,
|  | std::byte | b,
|  | std::byte | c,
|  | std::byte | d )

inline static constexpr

Joins 4 bytes into a single 32-bit word.

Definition at line 36 of file juce_UMPUtils.h.

Referenced by juce::universal_midi_packets::Conversion::midi2ToMidi1DefaultTranslation(), and juce::universal_midi_packets::Conversion::toMidi1().

## getChannel()

constexpr uint8_t juce::universal_midi_packets::Utils::getChannel | ( | uint32_t | w | ) |

inline static constexpr noexcept

Definition at line 112 of file juce_UMPUtils.h.

## getGroup()

constexpr uint8_t juce::universal_midi_packets::Utils::getGroup | ( | uint32_t | w | ) |

inline static constexpr noexcept

Definition at line 110 of file juce_UMPUtils.h.

## getMessageType()

constexpr uint8_t juce::universal_midi_packets::Utils::getMessageType | ( | uint32_t | w | ) |

inline static constexpr noexcept

Definition at line 109 of file juce_UMPUtils.h.

## getNumWordsForMessageType()

uint32_t juce::universal_midi_packets::Utils::getNumWordsForMessageType | ( | uint32_t | mt | ) |

static

Returns the expected number of 32-bit words in a Universal MIDI Packet, given the first word of the packet.

The result will be between 1 and 4 inclusive. A result of 1 means that the word is itself a complete packet.

Definition at line 26 of file juce_UMPUtils.cpp.

Referenced by juce::universal_midi_packets::Dispatcher::dispatch(), juce::universal_midi_packets::Midi1ToBytestreamTranslator::fromUmp(), and juce::universal_midi_packets::View::size().

## getStatus()

constexpr uint8_t juce::universal_midi_packets::Utils::getStatus | ( | uint32_t | w | ) |

inline static constexpr noexcept

Definition at line 111 of file juce_UMPUtils.h.

The documentation for this struct was generated from the following files:

- juce_UMPUtils.h
- juce_UMPUtils.cpp